import { AlertService } from '@zeedhi/common';

export class AlertController {
  public showButtonsAlert() {
    AlertService.show({
      name: 'buttons-alert',
      text: 'alteração salva com sucesso!',
      color: 'success',
      buttonsSlot: [
        {
          name: 'undo-button',
          component: 'ZdButton',
          icon: true,
          iconName: 'close',
          color: 'white',
          align: 'center',
          events: {
            click: () => { AlertService.hide(); },
          },
        },
      ],
    });
  }
}
